Authorization Code flowInteraction hook
API Reference
Create an Interaction hook
PUT
/v1/openid/configurationAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
The Interaction Hook configuration payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/openid/configuration" \ -H "Content-Type: application/json" \ -d '{}'{ "interactionHook": { "url": "http://example.com", "claims": [], "sessionTimeoutInSec": 300, "disabled": true, "secret": "string" }}Retrieve Interaction hook
GET
/v1/openid/configurationAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/openid/configuration"{ "interactionHook": { "url": "http://example.com", "claims": [], "sessionTimeoutInSec": 300, "disabled": true, "secret": "string" }}How would you rate this page?
Last updated on